package gus05.entity.gus.app.clipboard2;


import javax.swing.JTextArea;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;
import gus05.framework.features.Provide;
import gus05.framework.tools.DefaultSupport;



public class AppClipboard2 extends DefaultSupport implements Entity, Give, Provide {


    public String getName()				{return "gus.app.clipboard2";}
    public String getCreationDate()		{return "2008.06.13";}


    private JTextArea AREA;

    public AppClipboard2() throws Exception
    {
    	AREA = new JTextArea();
    }



    public void give(Object obj) throws Exception
    {
        if(obj instanceof String)
        {
            String s = (String)obj;
            AREA.setText(s);
            AREA.selectAll();
            AREA.copy();
            AREA.setText("");
            return;
        }
        throw new Exception("Unsupported data type: "+obj.getClass().getName());
    }



    public Object provide() throws Exception
    {
    	AREA.setText("");
    	AREA.paste();
    	return AREA.getText();
    }
}

