package gus05.entity.gus.graphic.textcomp.action.pasteall;



import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Execute;
import gus05.framework.features.Transform;
import gus05.framework.resources.ActionBuilder;



public class PasteAll implements Entity, Transform {


    public String getName()				{return "gus.graphic.textcomp.action.pasteall";}
    public String getCreationDate()		{return "2008.07.01";}


    public static final String ACTION_ID = "TEXT_pasteAll";
    

    private ActionBuilder actionBuilder;
    
    public PasteAll() throws Exception
    {
        actionBuilder = (ActionBuilder) Outside.resource(this,"app.actionbuilder");
    }





    public Object transform(Object obj) throws Exception
    {
        ExecutePasteAll ex = new ExecutePasteAll((JTextComponent)obj);
        return actionBuilder.build(ACTION_ID,ex);
    }


    
    
    private class ExecutePasteAll implements Execute
    {
        private JTextComponent comp;
        public ExecutePasteAll(JTextComponent comp){this.comp = comp;}
        
        public void execute() throws Exception
        {
            comp.selectAll();
            comp.paste();
        }
    }
}

