package gus05.entity.gus.graphic.textcomp.buildgui.panel3_1;


import java.awt.BorderLayout;

import javax.swing.Action;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;
import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Transform;



public class TextCompPanel3_1 implements Entity, Transform {


    public String getName()				{return "gus.graphic.textcomp.buildgui.panel3_1";}
    public String getCreationDate()		{return "2008.07.01";}


    private Service pasteAll;
    
    

    public TextCompPanel3_1() throws Exception
    {
    	pasteAll = Outside.service(this,"gus.graphic.textcomp.action.pasteall");
    }



    public Object transform(Object obj) throws Exception
    {
        JTextComponent comp = (JTextComponent) obj;
        Action copyAllAction = (Action) pasteAll.transform(comp);
        
        JToolBar toolbar = new JToolBar();
        toolbar.setFloatable(false);
        toolbar.add(copyAllAction);
        
        JPanel panel = new JPanel(new BorderLayout());
        panel.add(new JScrollPane(comp),BorderLayout.CENTER);
        panel.add(toolbar,BorderLayout.SOUTH);
       
        return panel;
    }

}

